Bug 466744 - audio test -- error is given when playing the recorded sound
audio test -- error is given when playing the recorded sound
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: YangKun
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 07:49 EDT by lihuang
Modified: 2014-03-25 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-12 08:05:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lihuang 2008-10-13 07:49:48 EDT
Description of problem:
when play the recorded sound , sox gives the  Premature EOF error.
following is the output log.

[root@dhcp-66-70-85 audio]# cat output.log 
Running ./audio.py:
This test plays a sound sample and records it to another file.
Please use the Volume Control application and insure that the 
Capture settings will record the sound.
Continue? (y|n) response: y
starting recording
Waiting 7 sec
Send break (control-c) to end recording
Did you hear the sound? (y|n)
response:  y
 sox: Premature EOF on .wav input file
playing recorded sound



Version-Release number of selected component (if applicable):
hts-5.2-20.el4

How reproducible:


Steps to Reproduce:
1.issue command ' hts certify --test audio '
2.type 'y' when meet the Continue prompt.  
3.type 'y' if you can hear the sample sound.

  
Actual results:
error (sox: Premature EOF on .wav input file ) is given

Expected results:
the recorded sound should be played normally without such error msg. 

Additional info:

[root@dhcp-66-70-85 audio]# lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)


when I use 'play' to play the test.wav file . the error also be given.
[root@dhcp-66-70-85 audio]# play /var/log/hts/runs/1/audio/test.wav 
sox: Premature EOF on .wav input file
Comment 2 Vivian Bian 2009-01-20 04:47:58 EST
the bug existing in hts-5.3-12 still
Comment 4 lihuang 2009-06-12 06:23:41 EDT
can not reproduce the original issue in current latest release :[
root@dhcp-66-70-55 ~]# rpm -qa | grep ^hts
hts-5.3-17.el5

host : RHEL5U3 Server x86_64


[root@dhcp-66-70-55 ~]# hts certify                      
/var/hts                                                 
OS Version: Red Hat Enterprise Virtualization Hypervisor release 1.0 Beta (1.snap11.el5ovirt)
Kernel RPM: kernel-2.6.18-128.el5                                                            
HTS version 5.3, release 17                                                                  
Hardware: Dell Inc. unknown OptiPlex 755                                                     
OS: 1.snap11.el5ovirt 1.0                                                                    
saved configuration to /var/hts/results.xml                                                  
Created a new plan with 11 tests on 104 devices                                              
saved test plan to /var/hts/results.xml                                                      

The following tests are recommended to complete the certification:
audio                 pci_8086_293e_alsa_playback_1               
dvd        scd0       storage_model_DVD__RW_TS_H653F              
usb                   pnp_PNP0103                                 
cdrom      scd0       storage_model_DVD__RW_TS_H653F              
network    eth0       net_00_21_9b_58_5f_d3                       
memory                                                            
video                 pci_8086_29b2                               
core                                                              
storage    sda        storage_serial_SATA_Hitachi_HDP7250_GEK250RB3VMXAL
profiler              None                                              
info                                                                    
Run these tests? (y|n) y                                                
response: y                                                             
running audio on /org/freedesktop/Hal/devices/pci_8086_293e_alsa_playback_1
mkdir -p /tmp/hts-audio-7UoKRH/mnt/tests/HTS/hts/audio                     
cp -a testinfo.desc runtest.sh audio.py Makefile /tmp/hts-audio-7UoKRH/mnt/tests/HTS/hts/audio
install -m 0755 runtest.sh /tmp/hts-audio-7UoKRH/mnt/tests/HTS/hts/audio                      
make OUTPUTFILE=/var/log/hts/runs/1/audio/output.log RUNMODE=normal UDI=/org/freedesktop/Hal/devices/pci_8086_293e_alsa_playback_1 DEVICE= TESTSERVER=unknown run                                                                                           
chmod a+x ./runtest.sh audio.py                                                                                               
./runtest.sh                                                                                                                  
/tmp/hts-audio-7UoKRH/mnt/tests/HTS/hts/audio/audio.py                                                                        
Running ./audio.py:                                                                                                           
This test plays a sound sample and records it to another file.                                                                
Please use the Volume Control application and insure that the                                                                 
Capture settings will record the sound.                                                                                       
Continue? (y|n) y                                                                                                             
Send break (control-c) to end recording                                                                                       
response: y                                                                                                                   
starting recording                                                                                                            
Waiting 7 sec                                                                                                                 

Input Filename : /usr/share/system-config-soundcard/sound-sample.wav
Sample Size    : 16-bits                                            
Sample Encoding: signed (2's complement)                            
Channels       : 2                                                  
Sample Rate    : 44100                                              

Time: 00:06.92 [00:00.00] of 00:06.91 ( 100.1%) Output Buffer: 332.10K

Done.
Did you hear the sound? (y|n) y

Input Filename : ./test.wav
Sample Size    : 16-bits   
Sample Encoding: signed (2's complement)
Channels       : 1                      
Sample Rate    : 44100                  

Time: 00:06.87 [405:40.97] of 405:47.84 (  0.0%) Output Buffer: 329.85K

Done.
response: y
playing recorded sound
Did you hear the sound? (y|n) y
response: y
Copied recorded sound ./test.wav to /var/log/hts/runs/1/audio
...finished running ./audio.py, exit code=0
recovered exit code=0
hts-report-result info PASS /var/log/hts/runs/1/audio/output.log
saveOutput: /var/log/hts/runs/1/audio/output.log
Return value was 0
Comment 5 YangKun 2009-06-12 08:05:38 EDT
thanks, I'm going to close this as notabug then.

Note You need to log in before you can comment on or make changes to this bug.